from openerp import api, fields, models

class AccountJournal(models.Model):
    _inherit = 'account.journal'

    @api.model
    def get_journals(self):
        domain = [('active', '=', True), ('type', 'in', ['bank', 'cash'])]
        journals = []

        for journal in self.env['account.journal'].search(domain):
            journals.append({
                'id': journal.id,
                'name': journal.name,
                'display_name': journal.display_name,
                'code': journal.code
            })

        return journals