from openerp import api, fields, models

class AccountPeriod(models.Model):
    _inherit = 'account.period'

    @api.model
    def get_periods(self):
        domain = []
        periods = []

        for period in self.env['account.period'].search(domain):
            periods.append({
                'id': period.id,
                'name': period.name,
                'display_name': period.display_name,
                'state': period.state
            })

        return periods
